Bug 639057 - [Arrandale] display switching fails with desktop effects enabled
[Arrandale] display switching fails with desktop effects enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-30 13:30 EDT by Alex Williamson
Modified: 2012-08-07 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:25:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (123.10 KB, text/plain)
2010-10-01 10:28 EDT, Alex Williamson
no flags Details
Xorg.0.log (739.72 KB, text/plain)
2010-10-01 10:28 EDT, Alex Williamson
no flags Details
messages (167.75 KB, text/plain)
2010-10-01 10:28 EDT, Alex Williamson
no flags Details
dmesg anotated (199.48 KB, text/plain)
2010-10-07 17:14 EDT, Alex Williamson
no flags Details
messages anotated (111.09 KB, text/plain)
2010-10-07 17:14 EDT, Alex Williamson
no flags Details
Xorg.0.log anotated (323.76 KB, text/plain)
2010-10-07 17:15 EDT, Alex Williamson
no flags Details

  None (edit)
Description Alex Williamson 2010-09-30 13:30:26 EDT
Description of problem:
Using the graphics test day CD on a Lenovo X201 Core i5 system, when desktop effects are enabled (compiz), I get wobbly windows and workspaces correctly on either the laptop display or the external monitor, but if I use the hotkey to switch the display, I get a black screen.  The only way back seems to switch to a VT (which works) and kill X.


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.12.0-6.fc14.x86_64

How reproducible:
100%

Steps to Reproduce:
1. switch to exclusively the internal or external display
2. enable desktop effects
3. switch to the other display
  
Actual results:
black screen

Expected results:
works

Additional info:
Comment 1 Matěj Cepl 2010-10-01 07:13:02 EDT
Well, YOU should know what to expect:

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Alex Williamson 2010-10-01 10:28:02 EDT
Created attachment 451026 [details]
dmesg
Comment 3 Alex Williamson 2010-10-01 10:28:30 EDT
Created attachment 451027 [details]
Xorg.0.log
Comment 4 Alex Williamson 2010-10-01 10:28:56 EDT
Created attachment 451028 [details]
messages
Comment 5 Alex Williamson 2010-10-01 10:33:20 EDT
Requested logs attached.  I don't have an xorg.conf.  Also, I failed to note in the original report that when the screen goes black, I still have the cursor and can move it around the screen.  Also, my comment about exclusively using the internal or external display is probably a red herring.  I had to switch a couple times before it triggered this morning, and I think it finally triggered on a mode with both displays active.  Also potentially triggers when I use the laptop undocked, then return it to the dock, adding the external display.
Comment 6 Adam Williamson 2010-10-06 18:36:14 EDT
matej: I think you got Alex confused with me :)

Thanks for the report, Alex. If you switch to a VT and back when you're in the 'black screen with cursor visible' state, does the desktop show up? That happens on my laptop after resuming from suspend (though that's a nouveau system).
Comment 7 Alex Williamson 2010-10-06 18:45:14 EDT
(In reply to comment #6)
> Thanks for the report, Alex. If you switch to a VT and back when you're in the
> 'black screen with cursor visible' state, does the desktop show up? That
> happens on my laptop after resuming from suspend (though that's a nouveau
> system).

Nope, switching to a VT and back to X doesn't recover the display.
Comment 8 Adam Williamson 2010-10-07 14:36:15 EDT
could you let us know the time, in /var/log/messages, when you switched displays and hit the bug?
Comment 9 Alex Williamson 2010-10-07 17:14:07 EDT
Created attachment 452201 [details]
dmesg anotated
Comment 10 Alex Williamson 2010-10-07 17:14:44 EDT
Created attachment 452202 [details]
messages anotated
Comment 11 Alex Williamson 2010-10-07 17:15:18 EDT
Created attachment 452203 [details]
Xorg.0.log anotated
Comment 12 Alex Williamson 2010-10-07 17:16:38 EDT
New logs uploaded with annotations of when I did what.  This time it happened on the first switch.  Tried several things to recover, none successful other than killing X.
Comment 13 Adam Williamson 2010-10-08 11:33:30 EDT
excellent, thanks.
Comment 14 Alex Williamson 2010-12-09 20:48:45 EST
Please fix this
Comment 15 Alex Williamson 2011-02-25 00:38:07 EST
Still present in f15 test day iso :(
Comment 16 Alex Williamson 2011-04-19 15:39:55 EDT
Updating to Fedora 15 based on previous comment before this gets auto closed.
Comment 17 Matěj Cepl 2011-04-20 02:10:50 EDT
(In reply to comment #16)
> Updating to Fedora 15 based on previous comment before this gets auto closed.

Sure, just that you don't have to worry THAT much … a month after release of F15 we’ll be auto-closing F13 bugs, not the F14 ones.
Comment 18 Fedora End Of Life 2012-08-07 15:25:39 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.